#
# spec file for package freeciv
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           freeciv
Version:        2.5.5
Release:        2.2
Summary:        Free Civilization Clone
License:        GPL-2.0+
Group:          Amusements/Games/Strategy/Turn Based
Url:            http://www.freeciv.org
Source0:        http://download.gna.org/freeciv/stable/%{name}-%{version}.tar.bz2
Source1:        freeciv-gtk3.desktop
%if 0%{?suse_version} >= 1320
Source2:        freeciv-qt.desktop
%endif
Source3:        freeciv.png
Source4:        freeciv-manual
Source5:        freeciv-manual.desktop
Source6:        freeciv-manual.png
Patch0:         freeciv-appdata-desktop-references.patch
%if 0%{?suse_version} >= 1320
Patch1:         fix-qt5-detection.patch
%endif
Requires:       freeciv_client-%version
BuildRequires:  SDL_mixer-devel
BuildRequires:  audiofile-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  curl-devel >= 7.9.7
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gtk3-devel
BuildRequires:  libbz2-devel
BuildRequires:  libggz2-devel
%if 0%{?suse_version} >= 1320
BuildRequires:  libqt5-qtbase-common-devel
BuildRequires:  libqt5-qtbase-devel
%endif
BuildRequires:  libtool
BuildRequires:  readline-devel
BuildRequires:  update-desktop-files
BuildRequires:  xz-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A clone of the well known game Civilization by Microprose.

Every player is the leader of an imaginary nation. The aim of the game
can be to create a prospering civilization with commerce and knowledge
exchange or (more often) the extinction of all other civilizations.

To start a new game, first start the server 'civserver,' then start the
client 'civclient'. Have fun!

%if 0%{?suse_version} >= 1320
%package qt
Summary:        Qt client for freeciv
Group:          Amusements/Games/Strategy/Turn Based
Provides:       freeciv_client-%version
Requires:       freeciv = %version

%description qt
Freeciv executable using Qt library
%endif

%package gtk3
Summary:        Gtk3 client for freeciv
Group:          Amusements/Games/Strategy/Turn Based
Provides:       freeciv_client-%version
Requires:       freeciv = %version
Obsoletes:      freeciv-gtk2

%description gtk3
Freeciv executable using Gtk3 library


%prep
%setup -q
%patch0 -p1
%if 0%{?suse_version} >= 1320
%patch1
%endif
echo "X-SuSE-translate=false" >> bootstrap/freeciv-server.desktop.in
echo "X-SuSE-translate=false" >> bootstrap/freeciv-modpack.desktop.in

%build
%if 0%{?suse_version} >= 1320
export MOCCMD="moc-qt5"
%endif
autoreconf -fi
%configure \
%if 0%{?suse_version} >= 1320
  --enable-client=gtk3,qt \
%else
  --enable-client=gtk3 \
%endif
  --with-readline \
  --disable-static \
  --docdir=%{_docdir}/freeciv
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
install -m 755 $RPM_SOURCE_DIR/freeciv-manual %{buildroot}%{_prefix}/bin
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 644 $RPM_SOURCE_DIR/*.png %{buildroot}%{_datadir}/pixmaps
rm %{buildroot}%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file -i %{name}-gtk3 Game StrategyGame
%if 0%{?suse_version} >= 1320
%suse_update_desktop_file -i %{name}-qt Game StrategyGame
%endif
%suse_update_desktop_file -i freeciv-manual Game StrategyGame
%if 0%{?sles_version} == 11
rm -rf %{buildroot}/%{_datadir}/locale/no
%endif

%find_lang %{name}
%find_lang %{name}-nations
%fdupes %{buildroot}/%{_datadir}/

%files -f %{name}.lang -f %{name}-nations.lang
%defattr(-,root,root)
%doc %{_docdir}/freeciv
%exclude %{_docdir}/freeciv/INSTALL*
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_mandir}/man6/freeciv-*.6.gz
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/database.lua
%{_bindir}/freeciv-server
%{_bindir}/freeciv-manual
#%{_bindir}/freeciv-modpack
%{_datadir}/applications/freeciv-manual.desktop
#%{_datadir}/applications/freeciv-modpack.desktop
%{_datadir}/applications/freeciv-server.desktop
%{_datadir}/freeciv/
%{_datadir}/icons/hicolor/128x128/apps/freeciv-client.png
%{_datadir}/icons/hicolor/128x128/apps/freeciv-server.png
%{_datadir}/icons/hicolor/128x128/apps/freeciv-modpack.png
%{_datadir}/icons/hicolor/16x16/apps/freeciv-client.png
%{_datadir}/icons/hicolor/16x16/apps/freeciv-server.png
%{_datadir}/icons/hicolor/16x16/apps/freeciv-modpack.png
%{_datadir}/icons/hicolor/32x32/apps/freeciv-client.png
%{_datadir}/icons/hicolor/32x32/apps/freeciv-server.png
%{_datadir}/icons/hicolor/32x32/apps/freeciv-modpack.png
%{_datadir}/icons/hicolor/48x48/apps/freeciv-client.png
%{_datadir}/icons/hicolor/48x48/apps/freeciv-server.png
%{_datadir}/icons/hicolor/48x48/apps/freeciv-modpack.png
%{_datadir}/icons/hicolor/64x64/apps/freeciv-client.png
%{_datadir}/icons/hicolor/64x64/apps/freeciv-server.png
%{_datadir}/icons/hicolor/64x64/apps/freeciv-modpack.png
%{_datadir}/pixmaps/freeciv-client.png
%{_datadir}/pixmaps/freeciv-manual.png
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/appdata
%{_datadir}/appdata/freeciv-server.appdata.xml

%files gtk3
%defattr(-,root,root)
%{_bindir}/freeciv-gtk3
%{_bindir}/freeciv-mp-gtk3
%{_datadir}/applications/%{name}-gtk3.desktop
%{_datadir}/appdata/freeciv-gtk3.appdata.xml
%{_datadir}/applications/freeciv-mp-gtk3.desktop
%{_datadir}/appdata/freeciv-mp-gtk3.appdata.xml

%if 0%{?suse_version} >= 1320
%files qt
%defattr(-,root,root)
%{_bindir}/freeciv-qt
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/appdata/freeciv-qt.appdata.xml
%endif

%changelog
* Sat Jul 30 2016 astieger@suse.com
- Freeciv 2.5.5:
  * various fixes and changes for rulesets
  * general bug fixes
  * New 'persistent' metaserver connection mode, where one failure
    to talk to the metaserver does not prevent future attempts.
    Enabled with the '--keep' server option or the
    '/metaconnection persistent' server command.
- for a full list of upstream changes, see
  http://freeciv.wikia.com/wiki/NEWS-2.5.5
* Fri Jun  3 2016 astieger@suse.com
- Freeciv 2.5.4:
  * various fixes and changes for rulesets
  * general bug fixes
* Sun Feb  7 2016 astieger@suse.com
- Freeciv 2.5.3:
  * configure/build fixes
  * minor Qt client fixes
* Thu Jan 21 2016 astieger@suse.com
- Freeciv 2.5.2:
  * changes and fixes for rulesets
  * general bug fixes
- for a full list of upstream changes, see
  http://freeciv.wikia.com/wiki/NEWS-2.5.2
* Mon Aug 24 2015 astieger@suse.com
- update to version 2.5.1:
  * fixes for rules for national borders
  * fixes for rules for happiness for very large empires.
- for a full list of changes, see
  http://freeciv.wikia.com/wiki/NEWS-2.5.1
* Wed May 27 2015 dimstar@opensuse.org
- Add freeciv-appdata-desktop-references.patch: Correct .desktop
  file reference inside freeciv-gtk3.appdata.
- Move .appdata files to the same packages as their respective
  .desktop files.
* Sat May  9 2015 opensuse@dstoecker.de
- reenable build for <= 13.1 (No QT5)
* Mon Mar 16 2015 adrian@suse.de
- update to version 2.5.0
- switch to non-ancient UI libs (qt and gtk3)
  => two extra subpackages to have the choice
- fix moc-qt5 detection
* Sat Dec  6 2014 andreas.stieger@gmx.de
- freeciv 2.4.4:
  Notable bug fixes include a longstanding problem with inability
  to switch governments in the Gtk clients, many fixes to research
  in team games, and several causes of premature nuclear
  explosions. See the full list of changes:
  http://www.freeciv.org/wiki/NEWS-2.4.4
* Tue Aug 12 2014 andreas.stieger@gmx.de
- freeciv 2.4.3
  This release fixes a miscellaneous collection of bugs.
- for a full list of changes, see
  http://www.freeciv.org/wiki/NEWS-2.4.3
* Sun Feb  9 2014 andreas.stieger@gmx.de
- freeciv 2.4.2
  This is mostly a bug-fix release; it includes an important fix to
  air unit pathfinding, as well as fixes for server and client
  crashes.
- for a full list of changes, see
  http://freeciv.wikia.com/wiki/NEWS-2.4.2
- fix SLE build, remove no locale
* Fri Dec 20 2013 opensuse@dstoecker.de
- update to 2.4.1
* Mon Feb 18 2013 andreas.stieger@gmx.de
- update to 2.3.4
  * When a unit was automatically moved to a transporter to save it
    from drowning or running out of fuel, the transporter could
    continue to appear empty
  * Bug fixes in unit conversion and upgrade:
    + Prevent cases where units could be converted or upgraded to a
    type only capable of carrying different cargo to the current
    cargo
    + Prevent conversion of a unit to a type that could not exist
    on the current tile
  * Units of types the owner cannot build are no longer prevented
    from upgrade
  * quell spurious "No diplomat action possible" message when an
    ordinary attempt to move a diplomatic unit failed
  * Following on from a fix in 2.3.3, when a border source such as
    a fortress is occupied by a unit of a nation other than the
    owner when a ceasefire runs out, ownership now transfers to
    that of the occupying unit.
  * When acquiring a technology such as Philosophy which gives
    further techs by an unusual route (such as through a hut), all
    progress toward the current research target was lost. Now it is
    preserved (although 'freecost' is applied)
  * when a city is traded and hence units change ownership, it wasn't
    checked whether those units provided diplomatic contact to a new
    nation
  * assertion failure during map generation when no unit in the ruleset
    satisfied the first role in 'startunits'
  * the tech upkeep with tech_cost_style 2 or 4 was much lower than
    intended; it only took into account a single tech rather than all
    preceding techs. As a result, tech upkeep in such rulesets will
    greatly increase
    + The currently downloadable 'civ2-3' modpack (2.3-2c) thus has
    tech upkeep disabled. You may want to update your copy.
  * An unknown effect requirement type in a ruleset now causes a loading
    error rather than being silently interpreted as "None"
  * When a new nation is created in the editor, city style and leader
    sex are now set appropriately (previously they were always European
    and male)
  * A hardcoded year of -4000 is no longer sent to the metaserver in
    pregame, as it is ruleset-dependent.
  * The client could crash when your name was mentioned in chat but you
    had set the 'highlight your player/user name' setting to no color.
    This could also prevent any connection to a server with the event
    cache enabled if your player name had been mentioned in the past.
  * Fix possible instability when loading some tilesets.
  * Fix some incorrect inferences about the ability of transported units
    or units in cities to defend; these are most likely to affect unusual
    rulesets (e.g., those with ocean cities).
  * The Spanish, Polish, and French translations are once more complete.
* Mon Dec 10 2012 opensuse@dstoecker.de
- update to bugfix-release 2.3.3
* Mon Apr  2 2012 andreas.stieger@gmx.de
- fix SLE build error with translations of freeciv-modpack.desktop
* Sun Apr  1 2012 andreas.stieger@gmx.de
- update to upstream 2.3.2
  Fixes for game behaviour, crashes and bugs.
  For a full list of changes see http://freeciv.wikia.com/wiki/NEWS-2.3.2
- adjust freeciv-languages-2.3.0.diff for moved lines
* Tue Feb 21 2012 jreidinger@suse.com
- add explicit requirement for autotools in build environment
- use SPDX format of license
* Tue Nov 22 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
* Mon Nov 21 2011 andreas.stieger@gmx.de
- update to upstream 2.3.1
  Bug fixes for game behavior, crashes and bugs.
  For a full list of changes see http://freeciv.wikia.com/wiki/NEWS-2.3.1
- package updated to include icons and .desktop file for freeciv-modpack
* Sun Aug 21 2011 andreas.stieger@gmx.de
- update to upstream 2.3.0
  A new program has been added to the Freeciv suite: 'freeciv-modpack'. This makes it easier to download and install add-ons ('modpacks': rulesets, tilesets, etc) to the right
  place; you can enter a URL, choose an add-on from the list, and the tool will install it to the correct place for this version of Freeciv to use it. Modpack authors should
  see this page for details of how to publish modpacks for installation by this program.
  As is usual for major releases, 2.3 clients cannot interoperate with pre-2.3 servers, and vice versa. Pre-2.3 savegames can however be loaded into 2.3, and in most cases, the
  supplied rulesets have not changed so much as to make it difficult to complete a game started with 2.2.x's rules.
  For a more detailed list of changes see http://freeciv.wikia.com/wiki/NEWS-2.3.0
- re-base freeciv-no-nb.diff -> freeciv-languages-2.3.0.diff
* Fri Jul 29 2011 andreas.stieger@gmx.de
- update to upstream 2.2.7
  changes since 2.2.6
  * Fixed a regression since 2.2.5: in the Gtk client, the Governments submenu of the Civilization menu frequently gained spurious extra menu items, making it
    difficult/impossible to change to a new government type when it became available. GNA#18323
  * Minor corrections to the Polish translation.
  changes in 2.2.6 since 2.2.5
    Server / General
  * Fix server crash when an AI-controlled missile failed to eliminate its target. GNA#16451
  * Bug fix: the server could crash with rulesets where gold_upkeep_style=2 due to ending up with a negative gold balance. Previously, if there was not enough gold, at most
    one unit and one building would be sold per turn. Now, as many units/buildings are sold alternately as necessary to restore a positive balance. (This doesn't affect the
    supplied rulesets.) GNA#18221
  * Bug fix: pillaging a road (or removing it in the editor) under a road-native unit could cause a server crash. (This doesn't affect the supplied rulesets.) GNA#16281
  * Bug fix: clients were not always updated when a city was lost (for instance, due to civil war); the loser's client could still show units in the city as owned by that
    player. GNA#18194
  * Bug fix: it was impossible for existing users to log in to servers with authentication enabled running on big-endian machines (such as sparc64). GNA#18170
  * Apply latest lua-5.1.4 patch (9).
  * Various internal changes which should only affect developers. GNA#17812 GNAPATCH#2630
    Clients
  * Bug fix: the client could potentially behave as though it had made a successful connection to a server when in fact the connection had failed. GNA#18211
  * (Gtk) Bug fix: cancelling the "build city" name dialog by pressing Escape could make it impossible to issue the build order again for some units. GNA#18163
  * (Gtk) Bug fix: reinstate the Shift+Ctrl+R shortcut to start a revolution. GNA#18296
  * (Gtk) Possible performance improvement in minimap scrolling. GNA#17878
    Tilesets / Art
  * Allow more match_with entries in tilesets. This should allow the third-party Freeland tileset to work without a patch. GNA#17095
  * Fix a number of minor glitches in the Amplio tileset. GNAPATCH#2732
    Gameplay / Rules
    Supplied rulesetsEdit Supplied rulesets sectionEdit
  * Rearrange implementation of the Hanging Gardens wonder so that it is not mentioned twice in the city dialog happiness popup. GNA#16471
    Help / Documentation
  * Remove spurious incorrect text about government effects on the chance of migration from help on governments. GNA#17919
  * Invisible changes to assist with translation. GNA#18031
    Translations
  * Minor corrections to French, Polish, and Japanese translations.
    Build/portability
  * Suppress some build-time warnings from GCC 4.6. GNA#18217
  * Use Lua path set by configure script, to assist packagers. GNA#18263
* Sat Jul  2 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel building
* Mon Feb 28 2011 andreas.stieger@gmx.de
- updated to upstream 2.2.5
* Tue Dec  7 2010 andreas.stieger@gmx.de
- updated to upstream 2.2.4
* Thu Jul 15 2010 mseben@novell.com
- renamed client/server binaries to freeciv-gtk2 freeciv-server
- update to 2.2.0 : changes since 2.1.x
  * Built-in editor
  * Expanded ruleset format:
  * Unit classes
  * Movement restrictions
  * Can limit which terrains a unit can enter
  * River-boats
  * Wheeled units
  * Which units another unit can transport
  * Migration
  * Plague
  * Bases
  * Calendar effects
  * Changes to gameplay with default ruleset:
  * New terrains:
    o Deep Ocean (as Ocean but no specials and cannot be transformed)
    o Lake (as Ocean but no Whales special; inland water below a certain size is generated as Lake)
  * Triremes are not restricted to tiles next to land, but to (shallow) Ocean tiles; they now cannot even attempt to enter unsafe tiles
  * Triremes no longer get the +1 movement bonus from Nuclear Power that other sea units get
  * Triremes and Carriers can no longer attack land units
  * Submarine attack strength reduced from 15 to 12 (to make it easier to defend against them with escorts)
  * New base type buoy, which can be built by Engineers on water tiles with the Radio advance, and gives vision.
  * Ruins (left behind by destroyed cities, no effect on gameplay currently)
  * New advance Environmentalism and Solar Plant improvement, which can eliminate pollution from production
  * Trade route value now depends on size of cities, not on trade generated in them
  * New national borders system
  * Coastal Defense now available earlier (requires Gunpowder instead of Metallurgy)
  * No restrictions on specialists in small cities
  * Terrain within working range of a city can no longer remain unknown
  * Units in fortresses now regain 25%% HP per turn (as in 2.0.x) instead of 100%%
  * New nations
  * AI difficulty level: Cheating
  * New server options:
  * foggedborders: visibility of borders is subject to fog of war
  * borders gains new modes where player can see all tiles inside borders, and borders extend to unknown tiles revealing them
  * endspaceship controls whether spaceship reaching Alpha Cen ends the game
  * trademindist controls the minimum distance for trade routes between your cities
  * Times now specified in turns instead of years (endyear becomes endturn, onsetbarbs expressed in turns)
  * simultaneousphases renamed to phasemode and gains new options
  * Client interface changes:
  * Menus and shortcut keys revamped; notable changes include:
    o Connect with Road/Rail/Irrigation changes from Ctrl+Shift+R/L/I to Shift+R/L/I
    o City Report: F1 to F4
    o Go/Airlift to City: Shift+L to T
    o Wake up Others (Shift+W) becomes Unsentry all on tile (Shift+S)
    o Orders menu split into Select, Unit, Work, and Combat; Reports becomes Civilization
  * Scripting improvements
  * Event cache: messages from the last few turns can be replayed to clients on connection and saved in savegames
  * Featured text in Gtk client, including colour coding and clickable links to mentioned cities/units/tiles
* Sat Feb 20 2010 freespacer@gmx.de
- Update to release 2.1.11
  * Fixed city center borders when borders are disabled. GNA#14836
  * Fixed undrawn unit health bar when the unit is in front of unknown tiles. GNA#14839
  * Fixed a crash linked with the update of the message window in the GTK2 client. GNA#14867
  * Improved distinguishability of player's colors. GNAPATCH#1386
  * Made sure that transporter status is updated when cargo is removed in any way. GNA#13912
  * Made the victim of an a-bomb explosion dislike the owner of the a-bomb to a greater degree. GNA#14888
  * Fixed a crash at start-up by removing a superfluous assertion. GNA#14945
  * Fixed city tile info popup in GTK2 client: long strings will be wrapped. GNA#14933
  * Fixed duplicate diplomacy messages when a treaty is about to expire. GNA#15031
  * Fixed a bug where some requirements in the tech tree were omitted. GNA#15036
  * Fixed a crash in the SDL client when user tries to buy the production of a city. GNA#15061
  * Initial diplomatic state between allies of your allies is now peace. GNA#15057
  * Fixed a bug where it was sometimes impossible to cancel a unit order. GNA#15041
  * Fixed usage of pathes and file names with local characters encoding. GNA#15000
- Update to release 2.1.10
  * Added commandline parameter to set hostname visible on metaserver. PR#40755
  * Restored http://meta.freeciv.org/metaserver.phtml as default metaserver. GNA#13407
  * Record players total score to civscore.log. GNA#13403
  * Put spaceship state to civscore.log instead of score given by spaceship. GNA#13402
  * Write civscore.log in the beginning of the turn, immediately after values are calculated. Write also final values when game ends. GNA#13419
  * Show correct Requirement and Obsolete by tech for wonders in win32-client help browser. PR#40765
  * Fixed sdl-mixer support. GNA#13444, GNA#14751
  * Improved access levels ported from Warclient. GNA#13433
  * Fixed a bug that even if wonder set as improvement requirement for unit was built, unit was not buildable. PR#39530
  * Fix lost hack access in single player mode. GNA#13494
  * Fix bug causing wrong player nation select. PR#40773
  * Added proper error message to case where user tries to add Settlers to city owned by ally. GNA#13539
  * Avoid crash due to corrupted worked field. GNA#13498
  * Improved voting code ported from Warclient. GNA#13515
  * Make GTK2 client more small-screen friendly. GNA#13524, GNA#13525, GNA#14100
  * Fixed Hydro Plant help text. PR#40805
  * Added ruleset loading time check that MAX_NUM_REQS is not exceeded. GNA#13600
  * Fixed help browser crash when ruleset has fuel using unit for which there is no suitable carrier unit. GNA#13649
  * Show ping of actual player connection instead of player's first connection, which may be observer. GNA#13725
  * Fix bug in tech score when player has no techs. GNA#13733
  * Hide production part of full citybar from enemy cities for player observers. It used to show all enemy cities always building "Airport". GNA#13723
  * Added support for units taller than 1.5 x terrain tile height in isometric tilesets. GNA#13671
  * Backport of improved goto code from trunk. GNA#13736, GNA#13742, PR#40536, PR#40563
  * Fixed creation of GGZ page. GNA#13791
  * AI does not ask for help against players not met. GNA#13559, PR#39700
  * Display flags at start page player list. GNA#13726
  * Changed ggz profile to point to freeciv.ggzgamingzone.org instead of non-functional pubserver. PR#39923
  * Fixed partisan appearance to require Guerilla Warfare to be known by someone. GNA#13944
  * Fixed a crash when lua script triggered by "tech_researched" gives another technology to player. GNA#13819
  * Fixed a crash when unload all command is issued to multiple units. GNA#14031
  * Fixed a team play crash when ruleset defines global init techs. PR#20855
  * Leave no units to current tile when bouncing them. GNA#14078
  * Fixed a crash when several members of the same team have same initial tech. GNA#14259
  * Fixed /cmdlevel bugs. GNA#14237
  * Prevented /rulesetdir after savegame of already running game has been loaded. GNA#14230
  * Don't navigate through unaccessible territorial waters. GNA#13928
  * Use amplio electric ages sprites for cities. Use modern style as alternative for other tilesets. GNA#14376
  * Added /cancelvote command, ported from Warclient. GNAPATCH#1292
  * Make notify.all and notify.player working in lua scripts. GNA#14221
  * The loss of the last human player doesn't transform the game into an autogame, causing the clients freezing. GNA#14036
  * Sharing vision when the fog of war is disabled don't let black square over vision giver units. GNA#14275
  * Disallow embassy creation if Marco Polo's Embassy is built. GNA#14448, GNA#14548
  * Do not bounce units on empty enemy cities on terrain changes. GNA#14532
  * Consider that AI explorers moved when they changed tile instead of if their moves decreased (could be wrong on railroads for example). GNA#14533
  * Loading a scenario begins at turn 0 and not -2. GNA#14658
  * Display trade route lines at map and infos in city dialog even if the trade route doesn't give trade bonus. GNA#14745
  * Added support for Haiku OS. GNA#14715
  * Fixed clicking of technologies on research report. GNA#14812
  * Updated translations: ca.po da.po de.po es.po fi.po
- clean up the SPEC-file
- remove old manuals, because freeciv bring up own manuals
- add a link to official manuals in the web
* Tue Apr 14 2009 dominique-obs@leuenberger.net
- Update to release 2.1.9
  Lots opf bugfixes, see: http://freeciv.wikia.com/wiki/NEWS-2.1.9
  Fixes the crash with gcc 4.x optimization (bnc#465899), thus re-
  enabling -O2
* Thu Jan 15 2009 dominique-obs@leuenberger.net
- Change compiler optimization from -O2 to -O1 (fix bnc#465899)
* Wed Jan 14 2009 dominique-obs@leuenberger.net
- Update to release 2.1.8
  * Fix buffer overrun by create_md5sum(). (#40578)
  * Make aifill player removal recursion safe. (#40579)
  * Send connection info when cmdlevel is changed. (#40479)
  * Send information about lost connections not attached to players. (#39613)
  * Fix longstanding connection freezing bug. (#39131)
  * Updated German, Korean, Catalan translations.
  Includes fixes from release 2.1.7
  * Fixed a couple of AI crashes related to ocean cities. (#40422)
  * Fixed separatepoles option. (#40417)
  * Fix absolute path detection on Windows, making it possible to save games in any folder. (PR#40439)
  * Remove out-of-date information in vote command help text. (#40448)
  * Only send private saved settings on forked servers. (#40449)
  * Do not close races dialog on user join or quit. (#40455)
  * Fixed a crash in the map generator when starting new games. (#40453)
  * Fixed handling of the aifill command in pregame. (#40480)
  * Remove hardcoded enabling of autotoggle on savegame load. (#40465)
  * Fix compile warning due to debug message format string. (#40445)
  * Do not reveal gold and government information when sending player info. (#40495)
  * Fixed government help text buffer truncation. (#40505)
  * Fixed fortress foreground drawing over fog. (#40500)
  * Fixed unexpected resizing of GTK2 client goto dialog. (#40119)
  * Fixed crash when picking nation. (#40516)
  * Setting aifill=0 actually removes all aifill AIs; refill AIs when a player is removed. (#40481)
  * Fixed "format not a string literal and no format arguments" -warnings. (#40504)
  * Fix typo in soundspec file. (#39369)
  * Fix bug that filled land tiles with water terrain causing crash. (#40453)
  * Disallow setting timeout less than 30 for non-hack connections. (#40466)
  * Fixed compiler warnings from auth build (#40544)
  * Renamed OUT as AILOG_OUT to avoid namespace conflicts. (#40541)
  * Remove a hack causing an inconsistent turn done button state. (#40550)
  * Fixed detection of libpng for win32 and xaw clients. (#40555)
  * Minor fixes relating to the take command. (#40529)
  * Updated German, Finnish, Danish translations.
* Thu Sep 11 2008 sndirsch@suse.de
- update to release 2.1.6
  * Updates to bootstrap.
  * Fixed compile warnings.
  * Fixed bug that AI tried to get unreachable techs from treaty.
  * Made only human players count toward minplayers.
  * Set minimum number of human players to 0.
  * Use Mysql port information from authentication config file.
  * Refresh cities after shared vision gained from another player.
  * Make message about paratrooper dying on paradrop more likely
    to appear to user.
  * Handle empty http_proxy environment variable correctly.
  * Fixed global observer crash in GTK2 connection dialog.
  * Fixed lables and sensitivity of button in GTK2 connection
    dialog.
  * Fixed the "non-blocking socket operation could not be
    completed immediately" bug.
  * Fixed crash when continents are renumbered.
  * Go straight to the network page when autoconnecting to a server
    that needs a password.
  * Don't reset the wrong player name when a player is /cut in
    pregame.
  * Show total buy cost for selected cities in the city report.
  * Fixed visual corruption in flag images.
  * Separated mandatory and optional capabilities in the capstring
    for GGZ.
  * Fixed printing of obsolete wonders.
  * Fixed bug that prevented building Hydro Plant in city placed
    on one tile river.
  * Fixed GGZ handlers for error and spectator events.
  * Disabled hack challenge when in GGZ mode.
  * Improved memory handling in warmap queue.
  * Do not mark buildings redundant when they allow building of unit
  * Fixed crash when loading saved game when tech leakage is enabled.
  * Fixed potential problems when city starves.
  * Made the internal server store savegames in the user's home
    directory on Windows.
  * Fixed city report size calculations.
  * Added ggz-style savegame support.
  * Fixed crash in the SDL worklist dialog.
  * Fixed /take assert when all player slots are in use.
  * Fixed error message about illegal auth port parameter.
  * Fixed client crash in the end of turn in altering movement mode.
  * Fixed changing of specialists at resolutions higher than
    640x480 in SDL client.
  * Fixed bug causing false tax rate exceeded messages.
  * Already built great wonders show "never" instead of "1" for
    turns-to-build.
  * Added Esperanto translation.
* Sat Jul 19 2008 sndirsch@suse.de
- update to release 2.1.5
  * Fixes for bootstrap and compilation issues.
  * Fixes for rulesets, for example making Civ1 ruleset playable
  * Fixes for several bugs concerning player handling and game
    loading
  * Fixes for a number of corner case crashers.
  * Fix a memory leak in the readline code.
  * Fix for bug that prevented the adding of items to the top of
    global worklists.
  * Fix citybar view options.
  * Updates to Estonian, Korean, Greek, Turkish, Catalan, Swedish,
    Spanish, and German translations.
* Sun Apr 27 2008 sndirsch@suse.de
- update to release 2.1.4
  * gui-sdl Fix crash when trying to bribe a unit
  * Fixes for UTF-8 and local encoding mismatch
  * Fixed crash when unit is killed by the breaking of a treaty
  * gui-gtk2 Theme had checkbox images reversed in some situations
  * Improvements to server authentication backend
  * Check that there is no acinclude.m4 left from old builds in
    the source tree
  * Fixes to strings and i18n
  * Fixed pathfinding crash when ferry is forced to leave path
  * Fixed warnings and crashes caused by AI trying to updgrade
    allied units
  * Fixed "take -" crash when there is no free player slots
  * Fixed crash in citizen governor
  * Avoid overwriting player name given as /create parameter
  * Fixed AI crash when city destroyed during trade negotiation
  * Send /cut and /cmdlevel commands correctly to server
  * Fixed handling of quoted command parameters
* Tue Jan 29 2008 sndirsch@suse.de
- update to release 2.1.3
  * Prevent server crash during explore.
  * Improve client robustness and error logging.
  * More GTK2 client support for saving server settings, add
    buttons on dialogs.
  * Updated sentence fragments, plurals, text, and translations;
    specifically Catalan, Czech, Estonian, Finnish, German,
    Lithuanian, Russian, Swedish, and Turkish.
* Mon Jan 28 2008 sndirsch@suse.de
- make rpmlint happy
* Thu Dec 27 2007 sndirsch@suse.de
- update to release 2.1.2
  * Improved support for GGZ Gaming Zone.
  * Fix support for Leave and Load in the same client session.
  * Add GTK2 client support for saving server settings.
  * Add realistic terrain requirements for three default wonders,
    as well a number of missing ones to civ1 and civ2.
  * Improve startup speed, reducing duplicate internal messages
    sent.
  * Updated GTK2 hotkeys, menus, text, and translations, especially
    Catalan, Finnish, Korean, Lithuanian, Turkish, and Ukrainian.
* Thu Nov 29 2007 sndirsch@suse.de
- update to release 2.1.1
  * Turn off full screen mode by default. (PR#12119)
  * Fix city dialog. (PR#39825)
  * Fix goto and patrol. (PR#3980, PR#39817, PR#39852, PR#39868)
  * Fix reported border and vision bugs. (PR#39828, PR#39829,
    PR#39830, PR#39858)
  * Modified Eiffel Tower. (PR#39826, PR#39874)
  * SDL client much improved and usable. (PR#39859)
  * Improved support for GGZ Gaming Zone. (PR#39611)
  * Updated menus, text, and translations. (PR#9347, PR#23078,
    PR#39541, PR#39723, PR#39748, PR#39818, PR#39884)
* Sat Nov  3 2007 sndirsch@suse.de
- update to final release 2.1.0. Changes since 2.0.9:
  * Significantly improved features for modmakers.
  * New default tileset: Amplio.
  * Hex-2 overhead hexagonal tileset.
  * Flags rendered from SVG vector images.
  * High-res building and wonder icons plus brand new tech icon
    set.
  * New city tab on main map.
  * City outlines.
  * Added lua as scripting language. New tutorial scenario.
  * Many new nations, flags and nation information and options.
  * New /surrender command to yield in multiplayer games.
  * Score now shown in player dialog.
  * Reputation removed from the game.
  * New borders rules. Borders are static, fortresses expand
    borders and cities expand more borders with city size growth.
  * New diplomacy rules. Neutral state replaced with Armistice.
    You now start in War state, and cannot cross borders with
    military units except in War or Alliance states.
  * SDL client much improved and usable.
  * GTK+ 1.2 clients removed.
  * Votes need over 50%% of votes to pass. Voting is now only during
    game.
  * First player to join becomes game organizer and sets all
    options.
  * Many AI changes. Improved AI diplomacy. Novice AI easier to
    beat.
  * Palace has a production bonus of +75%% under Despotism and +50%%
    under Monarchy.
  * New animated cursors.
  * Support for GGZ Gaming Zone.
  * Multiple units may be moved at once as a battlegroup.
  * Built-in theme support. GTK+ and SDL clients shipped with
    unique Freeciv themes.
  * As usual, tons of changes under the hood.
* Mon Sep 24 2007 sndirsch@suse.de
- disabled workaround for gcc optimization bug, which meanwhile has
  been fixed (Bug #300410)
* Wed Sep 12 2007 sndirsch@suse.de
- only compile client/gui-gtk-2.0/wldlg.c with "-O1" (Bug #300410)
* Wed Sep 12 2007 sndirsch@suse.de
- use "-O1" on %%ix86 to workaround segfault when building cities
  (Bug #300410)
* Mon Sep 10 2007 sndirsch@suse.de
- reverted use of %%fdupes, which does not work due to the magic
  %%doc line (which copies doc files after %%install) (Bug #200911)
* Sun Jul  8 2007 sndirsch@suse.de
- removed dupes (Bug #200911)
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Thu May 10 2007 sndirsch@suse.de
- updated to release 2.1.0-beta4
  * Don't bounce land units from ocean cities when loading saved
    game.
  * Fix bug that walls get drawn when city has no walls but has
    other defence bonuses.
  * Allow air units to goto into unsafe terrain.
  * Forbid military units from entering through the borders of
    another nation that you are at peace with.
  * Fix crash when AI is unable to build any kind of attacker units.
  * Fix crash when city cannot build any kind of defending unit.
  * GTK2: Tweaked colors in the technology report.
  * SDL: Corrected a number of dialogs that didn't close properly.
  * SDL: Remapped some keyboard shortcuts to be more intuitive:
    right-clicking on the minimap moves the map; change the options
    menu shortcut to ESC and the chatline shortcut to TAB; change
    the "turn done" shortcut to Shift+Return; assign the help dialog
    popup in the research dialog to the middle mouse button.
  * SDL: Show scores in the player dialog.
  * SDL: Fix many crashes and inconsistencies in the GUI.
  * The new "Golden Globe" design of program and window manager icons.
  * Medium size of the Hex2t tileset shipped with the game.
  * New high-res wonder and building icon set for the Amplio tileset.
  * Updates to fi.po by Sini Ruohomaa
  * Updates to da.po by Joe Hansen
  * Updates to lt.po by Andrius Štikonas
  * The tutorial is now translatable
  * Fixed autogen.sh to handle multiple installed versions of the same tool.
* Sun Feb 18 2007 sndirsch@suse.de
- updated to release 2.1.0-beta3
* Fri Sep  8 2006 sndirsch@suse.de
- fixed build for SUSE 9.3
* Tue Sep  5 2006 sndirsch@suse.de
- updated to release 2.1.0-beta2
- fixed data/locale dir
- cleanup
* Sat Apr 15 2006 sndirsch@suse.de
- update to bugfix release 2.0.8
  * obsoletes patch.CVE-2006-0047.freeciv
  * allow loading of saved games from freeciv 2.1
  * allow client goto into unknown tiles
  * several other bugfixes
* Fri Mar 10 2006 bk@suse.de
- replace esound-devel with audiofile-devel and check ALSA and SDL
* Thu Mar  9 2006 bk@suse.de
- Add esound-devel to BuildRequires (was implicily by SDL-devel)
* Mon Mar  6 2006 sndirsch@suse.de
- patch.CVE-2006-0047.freeciv:
  * fix for denial of service condition (Bug #155347,CVE-2006-0047)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Nov 13 2005 sndirsch@suse.de
- update to bugfix release 2.0.7
* Sat Oct 22 2005 sndirsch@suse.de
- added flac to neededforbuild (required by oggenc)
* Wed Sep 28 2005 sndirsch@suse.de
- update to bugfix release 2.0.6
* Tue Sep 27 2005 sndirsch@suse.de
- fixed build with gcc 4.1
* Sat Sep  3 2005 sndirsch@suse.de
- fixed sound support (Bug #114982)
- update to bugfix release 2.0.5
  * Fix bugs with government setting of new civs (barbarians and
    civil war nations).
  * Fix a bug where some mapgen settings would create more
    continents than the server could handle.
  * Fix a bug that allowed free changing of techs after finding a
    tech other than the one currently being researched.
  * Fix a bug where removing and creating a new player would give
    the new player the old one's team.
  * When the player disconnects in a normal game, make a savegame
    and exit immediately rather than continuing to run. (This fixes
    the bug where savegames made after a client crash would reveal
    the entire map.)
  * Fix a bug in the "endyear" setting.
  * Don't send server-only settings to the client (to be shown in
    the settings dialog).
  * Send a unit's info to the client when its transporter is
    disbanded.
  * Fix several bugs where crashes could happen if an invalid
    connection was left in the lists.
  * Better fallbacks when starting positions can't be placed
    (previously the server would crash in this situation).
  * Fix several bugs in the detection of multiple servers on the
    LAN.
  * Make sure units in combat are not in the hidden (focus unit)
    state.
  * Update menus for the focus unit when a transporter becomes
    available for it.
  * Fix a bug in the GTK2 client where diplomat actions would sometimes
    become impossible.
  * Clicking on the focus unit in the panel will center it.
  * Set aifill values for several scenarios.
* Sat Jul 30 2005 sndirsch@suse.de
- update to bugfix release 2.0.4
* Wed Jul 13 2005 sndirsch@suse.de
- update to bugfix release 2.0.3
* Fri Jun 24 2005 sndirsch@suse.de
- update to bugfix release 2.0.2
* Wed Apr 27 2005 sndirsch@suse.de
- update to bugfix release 2.0.1
  * Fix a bug causing easy and novice AIs to be much harder than
    they were supposed to be.
  * New behavior of the /start command in multi-player mode.
  * Minor translation updates.
  * Other minor bugfixes.
* Tue Apr 19 2005 sndirsch@suse.de
- update to final release 2.0.0
* Fri Apr 15 2005 sndirsch@suse.de
- update to release 2.0.0 RC2
* Fri Apr  1 2005 sndirsch@suse.de
- update to release 2.0.0 RC1
* Wed Feb 23 2005 sndirsch@suse.de
- update to release 2.0.0 Beta 8
  * AI diplomacy bug fixes.
  * Fix for team-mode research.
  * Fix for infinite recursion in autoexplorers.
  * Fix for SDL mixer freeze during exit.
  * Fix for when the default username isn't a valid one.
  * Fix for when we can't make a temp file when querying the
    metaserver.
  * Change some default client option values.
  * Fix some client refresh problems.
  * Fix some out-of-sync city dialog problems.
  * Fix a crash when a nation flag isn't available.
  * Fix a potential CMA crash.
  * Rewrite some of the CMA dialog (gtk2 client).
  * Some startscreen fixes.
  * Many gui-win32 fixes.
  * Fix some bugs with unloading of units.
  * Fix some bugs with seeing subs when you shouldn't.
* Thu Feb 17 2005 sndirsch@suse.de
- fixed build
* Fri Jan 21 2005 sndirsch@suse.de
- update to release 2.0.0 Beta 7
  * Fix for using "nb" as the Norwegian translation (as well as
    "no").
  * Some portability fixes to the compilation code.
  * AI doesn't overvalue techs so much.
  * Fix a potential crash when bribing cities.
  * Fix a potential crash in the AI ferry code.
  * Fix a potential crash when an exploring unit dies.
  * Don't show empty helptext for techs.
  * Fix some compilation problems on C99 compilers.
  * Fix a bug when transferring embassies.
  * Fix a bug with fog-of-war code in the GTK-2.0 client on
    windows.
  * Fix numerous bugs in the win32 client.
  * Fix a crash when researching future techs.
  * Make some server commands have different access levels during
    pregame.
  * Fix some bugs when breaking alliances.
  * Fix some bugs with observers.
  * Fix some major bugs with autosettlers (the new autosettlers
    should be a lot more usable).
* Tue Jan  4 2005 sndirsch@suse.de
- updated to release 2.0.0 Beta6
  * Speed up AI calculations by recalculating some things only
    every few turms.
  * Fix a bug with long-distance exploring.
  * Fix some bugs with out-of-sync cities.
  * Change client-side goto to take the path with the lowest
    "best time" rather than the one with the lowest "worst time".
  * Add a new method for drawing fog of war (gtk2-client and
    win32-client only). Change the trident tileset to use this new
    method.
  * Remove veteran status from the panel unit info string.
  * Improve some keyboard controls in the gtk2 client.
  * Fix a bug when cross-compiling the XAW client.
  * Improve server citizen placement when a city's minimums cannot
    be met.
  * Change novice and "away" AIs to not cheat by having instant
    revolutions.
  * Fix a bug when loading old/invalid savegames that have
    invalid alliances.
  * Fix some bugs with voting (more may remain).
* Tue Dec 14 2004 sndirsch@suse.de
- updated to release 2.0.0 Beta5
- move no.po to nb.po instead of patching it (with a maybe outdated
  version)
* Fri Nov 19 2004 sndirsch@suse.de
- updated to release 2.0.0 Beta4
  * obsoletes freeciv-da_DK.diff
* Thu Nov 18 2004 sndirsch@suse.de
- freeciv-da_DK.diff:
  * fixes start with da_DK/da_DK.UTF-8 locale (Bug #48341)
* Wed Nov 17 2004 sndirsch@suse.de
- updated to release 2.0.0 Beta3
  * adjusted freeciv-2.0.0-no-nb.diff
* Fri Oct 29 2004 sndirsch@suse.de
- some cleanup in specfile
* Thu Oct 28 2004 sndirsch@suse.de
- updated to release 2.0.0 Beta2
  * removed obsolete patches (autoconf.diff, code_cleanup.diff)
  * removed wrapper script, which started both civserver and
    civclient; obsolete as the server can now be started by the
    client (freeciv,freeciv.info,freeciv.info.de,
    gxmessage-2.0.8.tar.gz)
  * civworld (map editor) disabled for now; patch for 2.0.0 is not
    available yet
* Tue Oct 19 2004 sndirsch@suse.de
- freeciv-1.14.2-no-nb.diff
  * norwegian locale has changed: no --> nb
* Thu Sep  9 2004 sndirsch@suse.de
- updated to release 1.14.2
  * important compile fixes for some platforms
  * game balance adjustments:
  - all buildings except wonders and space parts 30%% cheaper
  - some wonders cheaper: Colossus, Copernicus, Isaac Newton's,
    King Richard's, Oracle and Shakespeare's
  - submarine has more attack and movement, and costs less
  * reputation recovery bug fixed (now much slower)
  * a few other minor bugfixes
- adjusted autoconf.diff
* Mon Jul  5 2004 sndirsch@suse.de
- freeciv.serv:
  use "set aifill 2" instead of "create tux" to create a game;
  otherwise the game runs as a demo without any opponents if
  username is "tux" (Bug #42751)
* Mon Mar 15 2004 sndirsch@suse.de
- store savegames in $HOME/.freeciv
* Sat Mar 13 2004 sndirsch@suse.de
- use gxmessage (gtk2 xmessage) instead of xmessage for information
  window during start
* Thu Mar 11 2004 sndirsch@suse.de
- fixed for 'check_if_valid_source_dir' use :-)
* Thu Mar 11 2004 sndirsch@suse.de
- moved manuals to doc directory
* Thu Mar 11 2004 sndirsch@suse.de
- better desktop icons
* Sat Mar  6 2004 sndirsch@suse.de
- added freeciv manual and desktop file (including icon) for it
- added german translation for freeciv wrapper info
- use rules similar to civ2 for freeciv wrapper
* Sun Feb 29 2004 sndirsch@suse.de
- reencode wav files to ogg to save some space (and maybe add later
  a more complete soundset); removed esd support as it doesn't
  support ogg files
- added wrapper for easy use (starts server + client preconfigured)
- added desktop files (including icons) for wrapper and map editor
* Sat Feb 28 2004 sndirsch@suse.de
- fixed sound (sound specfile needs to be called .soundspec)
* Sat Feb 28 2004 sndirsch@suse.de
- use GTK 2.x GUI for civclient now; civworld map editor still uses
  old GTK 1.x GUI
* Sat Feb 28 2004 sndirsch@suse.de
- updated to release 1.14.1
* Fri Jan 23 2004 ro@suse.de
- remove old automake stuff
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Sat Aug 16 2003 adrian@suse.de
- install desktop files from kappfinder
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 20 2003 ro@suse.de
- build with current gettext
* Thu Nov 21 2002 ro@suse.de
- fixed neededforbuild "libvorbis_devel" is "libvorbis-devel"
* Wed Nov 20 2002 pthomas@suse.de
- Remove spurious '+' from civworld-1.13.0.diff-against-freeciv.
- Fix up the autoconf stuff to reduce warnings.
- Add AM_GNU_GETTEXT_VERSION.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Sep 16 2002 uli@suse.de
- update -> 1.13.0 (usability improvements, sound, rules extended,
  gameplay fine-tuned, cleanups and bugfixes)
- known problem: client segfaults when doing revolution on x86-64,
  fine on i386
* Fri Jul 26 2002 adrian@suse.de
- fix neededforbuild
* Tue Jul  2 2002 meissner@suse.de
- buildrootet, rerun auto* tools.
* Wed Nov 14 2001 ro@suse.de
- fix for automake 1.5
* Tue Aug 21 2001 uli@suse.de
- added scenario editor civworld
* Mon Aug 13 2001 uli@suse.de
- update -> 1.12.0
* Thu Aug  9 2001 uli@suse.de
- update -> 1.11.12
* Fri Aug  3 2001 uli@suse.de
- update -> 1.11.8
* Mon Jul 23 2001 uli@suse.de
- update -> 1.11.6
* Tue May  8 2001 mfabian@suse.de
- bzip2 sources
* Thu Feb 22 2001 ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Tue Jan 30 2001 ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Mon Nov  6 2000 ro@suse.de
- fixed neededforbuild
* Thu Aug 10 2000 uli@suse.de
- update -> 1.11.4
* Mon Jun  5 2000 uli@suse.de
- moved docs to %%{_docdir}
* Tue Feb 22 2000 uli@suse.de
- update -> 1.10.0
- switched client from Xaw to GTK
* Wed Oct 20 1999 uli@suse.de
- New version 1.9.0
* Fri Sep 17 1999 kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 uli@suse.de
- New version 1.8.1
* Fri Jun 18 1999 uli@suse.de
- Spec file created from freeciv-1.8.0.tar.gz by autospec
* Tue Jan  5 1999 rb@suse.de
- update to version 1.7.2
* Mon Nov  2 1998 rb@suse.de
- update to version 1.7.1
* Mon Aug 10 1998 rb@suse.de
- update to version 1.7.0
* Tue Jul 21 1998 rb@suse.de
- Corrected Copyright-notice in spec file
* Tue Jun 30 1998 rb@suse.de
- update to version 1.6.3
- added new README.SuSE
- civserver became ser
- civclient and civserver both reside in /usr/games/freeciv
* Tue Mar  3 1998 rb@suse.de
- copied man-pages civserver.6 and civclient.6 to /usr/X11R6/man/man6
- made /usr/X11R6/bin/ the home of 'civserver' in order to have a
  consistent place for 'civserver' and 'civ'. civclient still resides
  in /usr/games/freeciv since it requires an environment variable to
  be set. It is startet by 'civ' which also sets the variable.
* Fri Feb 27 1998 rb@suse.de
- first S.u.S.E. version 1.5.1
- copied additional info files to /usr/doc/packages/freeciv
